summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2010-05-11 00:21:10 +1200
committerLars Wirzenius <liw@liw.fi>2010-05-11 00:21:10 +1200
commit63f2632c0e5858b149fa93b2bfbcd09bba81102b (patch)
tree3f40839450eb9bf170748b6b8e2760d11a0ae18f
parentdf3b5e323cd17742da5847ee1e27eccf93e521e2 (diff)
downloadextrautils-63f2632c0e5858b149fa93b2bfbcd09bba81102b.tar.gz
Add setuppy-debian-versions-match.
-rw-r--r--debian/changelog6
-rwxr-xr-xsetuppy-debian-versions-match29
-rw-r--r--setuppy-debian-versions-match.133
3 files changed, 68 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index d4e9f37..40432f2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+extrautils (1.6) squeeze; urgency=low
+
+ * Add setuppy-debian-versions-match.
+
+ -- Lars Wirzenius <liw@liw.fi> Tue, 11 May 2010 00:20:59 +1200
+
extrautils (1.5) squeeze; urgency=low
* Install splitmboxdaily. sigh.
diff --git a/setuppy-debian-versions-match b/setuppy-debian-versions-match
new file mode 100755
index 0000000..4af4e5c
--- /dev/null
+++ b/setuppy-debian-versions-match
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# setuppy-debian-versions-match - do setup.py and debian/changelog agree?
+# Copyright 2010 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+v1="$(python setup.py --version)"
+v2="$(dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/-[^-]*$//')"
+
+if [ "$v1" != "$v2" ]
+then
+ echo "setup.py report version $v1" 1>&2
+ echo "debian/changelog reports version $v2" 1>&2
+ echo "they do not match!"
+ exit 1
+fi
diff --git a/setuppy-debian-versions-match.1 b/setuppy-debian-versions-match.1
new file mode 100644
index 0000000..2e21239
--- /dev/null
+++ b/setuppy-debian-versions-match.1
@@ -0,0 +1,33 @@
+.\" Copyright 2010 Lars Wirzenius <liw@liw.fi>
+.\"
+.\" This program is free software: you can redistribute it and/or modify
+.\" it under the terms of the GNU General Public License as published by
+.\" the Free Software Foundation, either version 3 of the License, or
+.\" (at your option) any later version.
+.\"
+.\" This program is distributed in the hope that it will be useful,
+.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+.\" GNU General Public License for more details.
+.\"
+.\" You should have received a copy of the GNU General Public License
+.\" along with this program. If not, see <http://www.gnu.org/licenses/>.
+.\"
+.TH SETUPPY-DEBIAN-VERSIONS-MATCH 1
+.SH NAME
+setuppy-debian-versions-match \- do setup.py and debian/changelog match?
+.SH SYNOPSIS
+.B setuppy-debian-versions-match
+.SH DESCRIPTION
+When making a Debian package out of Python code that uses distutils,
+it is good to have
+.B setup.py --version
+and the
+.B debian/changelog
+file match as far as version information is concerned.
+This utility checks that they do match.
+It compares only the upstream portion of the Debian version
+(everything before the last dash in the version string).
+.SH "EXIT STATUS"
+Exit code is 0 (true) if the versions match,
+and 1 (false) otherwise.